Bug 220968 - Review Request: scigraphica - Scientific application for data analysis and technical graphics
Summary: Review Request: scigraphica - Scientific application for data analysis and te...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul F. Johnson
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 220967
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-12-29 18:49 UTC by Deji Akingunola
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-02 16:58:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Mock build log of scigraphica-2.1.0-4.fc7 (161.57 KB, text/plain)
2007-01-21 13:24 UTC, Mamoru TASAKA
no flags Details

Description Deji Akingunola 2006-12-29 18:49:14 UTC
Spec URL: ftp://czar.eas.yorku.ca/pub/scigraphica/scigraphica.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/scigraphica/scigraphica-2.1.0-1.src.rpm
Description: SciGraphica is a free (GPL) scientific application for data analysis and
technical graphics. It pretends to be a clone of the popular commercial
(and expensive) application "Microcal Origin". It fully supplies plotting
features for 2D, 3D and polar charts.

Please note that this will not build in mock at the moment, as it depends on libscigraphica, which I've just submitted for reviews.

Comment 1 Paul F. Johnson 2006-12-29 18:52:30 UTC
I've got libscigraphica so I shall do this as well :-)

Comment 2 Paul F. Johnson 2006-12-31 13:38:35 UTC
rpmlint is giving 2 warnings for the main package - looks like you need a devel
subpackage adding

W: scigraphica devel-file-in-non-devel-package
/usr/share/pixmaps/scigraphica/stock_pixmaps.h
W: scigraphica devel-file-in-non-devel-package
/usr/share/pixmaps/scigraphica/pixmaps.h



Comment 3 Paul F. Johnson 2006-12-31 14:22:48 UTC
Builds cleanly in mock

Comment 4 Deji Akingunola 2006-12-31 23:28:54 UTC
(In reply to comment #2)
> rpmlint is giving 2 warnings for the main package - looks like you need a devel
> subpackage adding
> 
> W: scigraphica devel-file-in-non-devel-package
> /usr/share/pixmaps/scigraphica/stock_pixmaps.h
> W: scigraphica devel-file-in-non-devel-package
> /usr/share/pixmaps/scigraphica/pixmaps.h
> 
The rpmlint warnings can be ignored as those *.h are just listings of the
contained pixmaps, I don't think they are being used to build anything.
I've corrected the package not to own %{_libdir}/%{name} (already owned by
libscigraphical) but it sub-directory that it creates.

Spec URL: ftp://czar.eas.yorku.ca/pub/scigraphica/scigraphica.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/scigraphica/scigraphica-2.1.0-2.src.rpm




Comment 5 Paul F. Johnson 2007-01-01 13:17:26 UTC
NO.

scigraphica should own the libdir and libscigraphica should add to it - NOT the
other way around!

Comment 6 Mamoru TASAKA 2007-01-01 15:25:01 UTC
Please correct libscigraphica first.

Apparently
---------------------------------------
BuildRequires:	gtk2-devel gtk+extra-devel
BuildRequires:  pkgconfig
---------------------------------------
This should be required by libscigraphica-devel, not by
BuildRequires of this package.

----------------------------------------
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
----------------------------------------
This is not necessary because no libraries installed
by this package are installed under default path on which
ldconfig tries to search.

(In reply to comment #5)
> NO.
> scigraphica should own the libdir and libscigraphica 
> should add to it - NOT the
> other way around!
See my comments on bug 220967.


Comment 8 Deji Akingunola 2007-01-02 02:44:25 UTC
I discovered building this package (as is in last spec) fails when
python-numarry is installed. This is because the configure script is kinda
confused by python-numarry and python-numeric both providing 'arrayobject.h'.
This is resolved in this build.

Spec URL: ftp://czar.eas.yorku.ca/pub/scigraphica/scigraphica.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/scigraphica/scigraphica-2.1.0-4.src.rpm

Comment 9 Mamoru TASAKA 2007-01-03 11:31:34 UTC
Seemingly okay (quickly checked), I leave this package as 
judgment by Paul.

Comment 10 Mamoru TASAKA 2007-01-03 11:40:55 UTC
ONE NOTE:

On current FC-devel, scigraphica (actually libscigraphica) causes
segv on exit. However, I suspect that this is due to ORBit2 or gtk2 or
something else (strongly suspect ORBit2).

Comment 11 Paul F. Johnson 2007-01-21 10:58:35 UTC
Fails to build in mock. You need to add BR gtk2-devel to the spec

Comment 12 Mamoru TASAKA 2007-01-21 13:21:43 UTC
(In reply to comment #11)
> Fails to build in mock. You need to add BR gtk2-devel to the spec

Really?
Rebuilding scigraphica requires libscigraphica-devel (bug 220967),
libscigraphica-devel requires gtk+extras-devel, and
gtk+extra-devel requires gtk2-devel...

For me mockbuild succeeds (with libscigraphica(-devel) correctly
installed for scigraphica mockbuild).

Comment 13 Mamoru TASAKA 2007-01-21 13:24:43 UTC
Created attachment 146085 [details]
Mock build log of scigraphica-2.1.0-4.fc7

Mockbuild log of scigraphica-2.1.0-4 on FC7 i386
(for me).

Comment 14 Paul F. Johnson 2007-01-21 13:27:21 UTC
Buildsys here was updated at 7am (GMT) today which would have sucked in any
libscigraphica updates. Mock fails to build here full stop.

Comment 15 Mamoru TASAKA 2007-01-21 14:19:07 UTC
Then, still fails on mockbuild? If so, would you
attach a mockbuild log with --debug option?

Comment 16 Deji Akingunola 2007-01-22 04:40:59 UTC
(In reply to comment #14)
> Buildsys here was updated at 7am (GMT) today which would have sucked in any
> libscigraphica updates. Mock fails to build here full stop.
It seems to me (from the tone of the message) that you think libscigraphica is
in Extras tree already; but the review (bug #220967) is still waiting on you.


Comment 17 Paul F. Johnson 2007-01-28 13:07:21 UTC
Okay, it's happy again!

rpmlint is not quiet - it's complaining about the two .h files in pixmaps. I've
looked at them and will allow it on this occassion. I'm not happy though.

mock is happy (x86)

Review

Good

Consistent use of macros
No permission or ownership issues
No static libs
docs included
devel not built, no pkgconfig required
rpm not missing any required
software actually works
Includes desktop icon

Unhappy but will allow
.h files in non-devel package

APPROVED


Comment 18 Deji Akingunola 2007-02-02 16:58:46 UTC
Imported and built too.


Note You need to log in before you can comment on or make changes to this bug.